/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
(function() {

dojo.provide("com.ibm.rational.report.web.core.app.internal.common.SideNavigationLayout");

dojo.require("net.jazz.ajax.ui.SideNavigationLayout");
dojo.require("net.jazz.ajax.core.internal.util");
dojo.require("com.ibm.rational.report.web.core.app.internal.common.NavSection");

function isWidget(o) {
	return o.buildRendering && o.postCreate;
}

function show() {
	dojo.forEach(arguments, function(x) {
		if (x) {
			dojo.removeClass(x, "net-jazz-ajax-hidden");
		}
	});
}

function hide() {
	dojo.forEach(arguments, function(x) {
		if (x) {
			dojo.addClass(x, "net-jazz-ajax-hidden");
		}
	});
}

/*
 * Displays the Left Navigator.
 */
dojo.declare(
	"com.ibm.rational.report.web.core.app.internal.common.SideNavigationLayout",
	net.jazz.ajax.ui.SideNavigationLayout, {

	postCreate: function() {
		this.inherited("postCreate", arguments);
	},
	
	addNavigationSection: function(contentNode, title, showSeparator, startMinimized, menu) {
		if (isWidget(contentNode)) {
			var section = new com.ibm.rational.report.web.core.app.internal.common.NavSection(
				{o: contentNode, title: title, showSeparator: showSeparator, startMinimized: startMinimized, menu: menu},
				document.createElement("div"));
		} else {
			var section = new com.ibm.rational.report.web.core.app.internal.common.NavSection(
				{o: {domNode: contentNode}, title: title, showSeparator: showSeparator, startMinimized: startMinimized, menu: menu},
				document.createElement("div"));
		}
		this._leftNav.appendChild(section.domNode);
		return section;	
	}
	
});

})();